hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: Hadoop-2.4.0 HBase-0.19.18 Region server startup failed
Date Sat, 10 May 2014 13:08:37 GMT
See https://code.google.com/p/protobuf/issues/detail?id=493 for background
information on the exception you got.

On the computer where you did the build, can you run the following command ?

$ protoc --version

It should print something like:

libprotoc 2.5.0

If you see libprotoc 2.4.1, you need to upgrade to 2.5.0
The following file would be regenerated from protoc command :

src/main/java/org/apache/hadoop/hbase/protobuf/generated/HBaseProtos.java

Cheers


On Sat, May 10, 2014 at 3:36 AM, raja kbv <rajakbv@yahoo.com> wrote:

> Hi Ted,
>
> I have recently installed hadoop-2.2.0 and hbase-0.95.19 compiled using
> "sudo mvn clean package assembly:single -DskipTests -Dhadoop.profile=2.0"
> as in HBASE-11076 update.
>
> However my region server statrup fails with error
> "UnsupportedOperationException: This is supposed to be overridden by
> subclasses.". I have attached all files for your reference.
>
> i also read the post in
> http://apache-hbase.679495.n3.nabble.com/HBase-0-94-on-hadoop-2-2-0-2-4-0-td4058517.htmlwhere
you mentioned to rebuild classes for .proto files.  the command
> "protoc -Isrc/main/protobuf --java_out=src/main/java "  created
> Protobuf.java.  I also tried "mvn compile -Dcompile-protobuf
> -Dprotoc.path=/user/bin/protoc" which created hbase/target directory but i
> dont know how to rebuild tarball from it.
>
> I am stuck here for last 5 days. Could you please help me to resolve this
> issue? Thank you in advance.
>
> Regards,
> Raja
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message